// test.cpp : Definiert den Einsprungpunkt fr die Konsolenanwendung.
//

#include "stdafx.h"
#include "..\MathParser\MathParser.h"

int main(int argc, char* argv[])
{
	CStrMap varmap;
	double varvalues[] = { 5.3, 6.1,0.1 };
	CMathParser mp;
	varmap.AddString( "X", varvalues );
	varmap.AddString( "Y", varvalues+1 );
	varmap.AddString( "SOMEVERYLONGVARIABLENAME", varvalues+2 );

	printf("x + sin(y)+pi+SOMEVERYLONGVARIABLENAME=");
	double result;
	char f[]="x + sin(y)+pi+SOMEVERYLONGVARIABLENAME";
	mp.Parameters=&varmap;
	char *ErrMsg = mp.Parse( f, &result );
	if ( ErrMsg == NULL )
		printf( "%.15G\n", result );
	else
		puts( ErrMsg );
	return 0;
}



